<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Todo List</title>
</head>
<body>
    <main>
        <div>
            <h1>My Lists</h1>
            <p>
              <a href="{% url 'todo_list_create' %}">Create a new list</a>
            </p>
            <p>
              <a href="{% url 'todo_item_create' %}">Create a new item</a>
            </p>
            <table>
                <thead>
                    <tr>
                        <th>Name</th>
                        <th>Number of Items</th>
                    </tr>
                </thead>
                <tbody>
                    {% for items in todo_list_list %}
                    <tr>
                        <td>
                            <a href="{% url 'todo_list_detail' items.id %}">{{ items.name }}</a>
                        </td>
                        <td>{{ items.items.count }}</td>
                    </tr>
                    {% endfor %}
                </tbody>
            </table>
        </div>
    </main>
</body>
</html>
